### Method

# Rest ProxyCall set_function

#### Declaration [src]

    void
    rest_proxy_call_set_function (
      RestProxyCall* call,
      const gchar* function
    )

#### Description [src]

Set the REST “function” to call on the proxy. This is appended to the URL, so that for example a proxy with the URL http://www.example.com/ and the function test would actually access the URL http://www.example.com/test.

#### Parameters

`function`

  Type: `const gchar*`

  The function to call.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.